gehelem

ALS - Astro Live Stacker

Recommended Posts

Posted (edited)
il y a 52 minutes, Batbihirulau a dit :

Donc c'est possible, cool!!!

Du coup, Sauveur, est ce que tu pourrais détailler le "mode opératoire" (ça pète) de l'install pour arriver à ça?

Car c'est bien ce que je cherchais à faire mais...

 

Bein j'ai juste fais ca rien de plus 

 

 

Le ‎17‎/‎05‎/‎2019 à 20:14, gehelem a dit :

Puis quelques linuxeries :


sudo apt update  
sudo apt install python3-opencv python3-pip git   
pip3 install astropy numpy tqdm watchdog pyqt5 astroalign  
cd ~  
git clone https://github.com/gehelem/als.git  
cd ./als  
mkdir scan  
mkdir wrk 

Pour lancer le machin ça se passe dans un terminal aussi :


python3 ~/als/als.py

 

Je l'ai lancer deux fois une fois avant d'aller chez le dentiste pensant avoir le temps mais pas fini :)

 

Puis quand je suis rentré j'ai tous repris a zero 

 

Attention des fois lors des copie de ligne a ligne il y a des caractères invisible du au site vaut mieux tous retaper :)

 

 

A+

 

Edited by Ryo

Share this post


Link to post
Share on other sites
Posted (edited)

A oui petite précision maintenant que je me rappelle :)

 

c'est a partir du cd avec le signe que cela ne marchais pas 

 

du coup j'ai fais cd siril il ma tous copier dans mon repertoire siril du bash

 

puis avec nautilus je les ai copier au bonne endroit

 

275613665_2019-05-23(1).thumb.png.ebd9cb82d1945b4cbe8502f2e420cbd5.png

 

Tu peut contourné en téléchargeant le zip et en utilisant nautilus

 

 

Edited by Ryo

Share this post


Link to post
Share on other sites
il y a 3 minutes, Ryo a dit :

c'est a partir du cd avec le signe que cela ne marchais pas 

 

du coup j'ai fais cd siril il ma tous copier dans mon repertoire siril du bash

Là il faut absolument nous filer l'adresse de ton dentiste, il utilise quoi comme anesthésiant ? 

  • Haha 2

Share this post


Link to post
Share on other sites

Super Ryo pour tous ces précisions, je devrais pouvoir avancer avec ça.

 

Par contre, je n'avais pas saisi la limitation à la cam86. !oops!

Dommage.

Share this post


Link to post
Share on other sites
Posted (edited)
il y a 6 minutes, Batbihirulau a dit :

Par contre, je n'avais pas saisi la limitation à la cam86.

 

Je pense a une petite blague de Gilles 😁

 

Mais faut des fit apparemment :)

Edited by Ryo

Share this post


Link to post
Share on other sites
il y a 4 minutes, Batbihirulau a dit :

Par contre, je n'avais pas saisi la limitation à la cam86. 

Dommage.

Non non non 

Excuse moi, je fais des blagues pourries...

Donc bien entendu tu dois pouvoir y arriver aussi avec n'importe quoi d'autre comme source d'image 

Share this post


Link to post
Share on other sites

p'tain, chui aussi nul en blagues qu'en linux.:jesors:

M'en fout, je vais quand même essayer...

 

  • Haha 2

Share this post


Link to post
Share on other sites
il y a 2 minutes, Batbihirulau a dit :

M'en fout, je vais quand même essayer...

Ouf 

Share this post


Link to post
Share on other sites
Posted (edited)
$ python ./als.py 
  File "./als.py", line 2
SyntaxError: Non-ASCII character '\xc3' in file ./als.py on line 2, but no encoding declared; see http://python.org/dev/peps/pep-0263/ for details

Je vais tester avec les autres branches.

 

EDIT: bizarre on dirait qu'il n'aime pas les accents, même quand ce sont des commentaires.

 

EDIT2: avec la commande "python3" ça a l'air mieux, je tombe sur l'erreur de module "cv" dont on a parlé dans le thread.

 

EDIT3: Alors pour résoudre le probleme de "cv" manquant, j'ai du installer opencv-python via pip. Ce qui donne:

 

$ pip3 install --user astropy numpy tqdm watchdog pyqt5 astroalign opencv-python

 

Sous Debian 9, le paquet opencv des dépôts est pour Python2. D'où la nécessité d'utiliser pip3. Maintenant l'ui se lance bien.

 

EDIT4: truc perturbant est que CTRL+C ne kille pas le soft.

Edited by src386

Share this post


Link to post
Share on other sites

Alors j'ai tenté l'injection de fits existants mais le soft crashe:

$ python3 ./als.py 
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
/home/xavier/github/als/wrk
/home/xavier/github/als/scan
New image arrive: /home/xavier/github/als/scan/2019-05-31T222356.588-UTC.fits
The file does not exist
B&W mode...
TIFF image create : /home/xavier/github/als/wrk/stack_image.tiff
first file created : /home/xavier/github/als/wrk/stack_ref_image.fit
New image arrive: /home/xavier/github/als/scan/2019-05-31T222401.688-UTC.fits
B&W mode...
alignement and stacking...
New image arrive: /home/xavier/github/als/scan/2019-05-31T222406.793-UTC.fits
New image arrive: /home/xavier/github/als/scan/2019-05-31T222411.893-UTC.fits
New image arrive: /home/xavier/github/als/scan/2019-05-31T222416.998-UTC.fits
Traceback (most recent call last):
  File "/home/xavier/.local/lib/python3.5/site-packages/astroalign.py", line 197, in find_transform
    target_controlp = _find_sources(target)[:MAX_CONTROL_POINTS]
  File "/home/xavier/.local/lib/python3.5/site-packages/astroalign.py", line 333, in _find_sources
    sources = sep.extract(image - bkg.back(), thresh)
  File "sep.pyx", line 718, in sep.extract
  File "sep.pyx", line 282, in sep._assert_ok
Exception: object deblending overflow: limit of 1024 sub-objects reached while deblending. Decrease number of deblending thresholds or increase the detection threshold.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./als.py", line 65, in <lambda>
    align_on, save_on, stack_methode))
  File "./als.py", line 79, in created
    save_im=save_on, align=align_on, stack_methode=stack_methode)
  File "/home/xavier/github/als/stack.py", line 199, in stack_live
    p, __ = al.find_transform(new, first_ref)
  File "/home/xavier/.local/lib/python3.5/site-packages/astroalign.py", line 199, in find_transform
    raise TypeError('Input type for target not supported.')
TypeError: Input type for target not supported.
Abandon

Mon hypothèse est que mes images ne contiennent pas assez d'étoiles pour permettre l'alignement.

Share this post


Link to post
Share on other sites
il y a 18 minutes, src386 a dit :

Alors j'ai tenté l'injection de fits existants mais le soft crashe:

Mon hypothèse est que mes images ne contiennent pas assez d'étoiles pour permettre l'alignement.

Essaie sans aligner...

 

 

Share this post


Link to post
Share on other sites
Il y a 7 heures, gehelem a dit :

Essaie sans aligner...

 

 

Yep ça fonctionne, par contre ça donne un objet flou (mon suivi est vraiment pas top).

 

Je suis content de ce genre de soft sous Linux. J'ai pas de compétences Python mais je peux peut-être contribuer de plusieurs manières:

- Une image Docker

- Traduire les commentaires en anglais

- De la doc (wiki sur le github)

- Et bien sûr des tests d'un Linuxien

Share this post


Link to post
Share on other sites

Pour installer les librairies python comme open cv2 sur python 3 via apt ta juste a écrire sudo apt install python3-...

 

Pour lancer als il faut absolument lancer avec la commande python3 sinon ça vas le lancer en python2 et als n'est pas compatible python2.

 

Je confirme, il y a effectivement un problème avec te images pour l'alignement. Ta moyen de nous envoyer les 10 premières image pour que je regarde ce qui merde ?

 

 

Share this post


Link to post
Share on other sites
Posted (edited)
Il y a 17 heures, dragonlost a dit :

Pour installer les librairies python comme open cv2 sur python 3 via apt ta juste a écrire sudo apt install python3-...

 

Pour lancer als il faut absolument lancer avec la commande python3 sinon ça vas le lancer en python2 et als n'est pas compatible python2.

 

Je confirme, il y a effectivement un problème avec te images pour l'alignement. Ta moyen de nous envoyer les 10 premières image pour que je regarde ce qui merde ?

 

 

 

Il n'y a pas de paquet python3-opencv sur Debian Stretch. C'est pour ça que je l'ai installé via pip3.

 

J'ai utilisé la commande "python" comme mis en instruction, mais Debian utilise Python 2 par défaut. Donc j'ai forcé python3.

 

Mes images sont pourries, y'a presque rien dessus a moins de les empiler. Sauf que le suivi est pourri aussi. Mais bon le but c'était de tester le soft. Le problème vient clairement de mes images.

 

Une amélioration appréciable serait de conserver les réglages au lancement et éviter les chemins en dur type ~/als .

Edited by src386

Share this post


Link to post
Share on other sites
Il y a 20 heures, src386 a dit :

Une amélioration appréciable serait de conserver les réglages au lancement et éviter les chemins en dur type ~/als .

Je plussoie, au pire dumper un json ou un yaml pour recuperer les preferences utilisateurs pour la suite.

  • J'aime 1

Share this post


Link to post
Share on other sites

Je vais voir ce que je peut faire !

Pour l'instant on se concentre sur les fonctionnalité de visualisation et de stacking/alignement. On essaye aussi d’accélérer le code avec les quelques connaissances en informatique qu'on a et le commenter.

 

 

Share this post


Link to post
Share on other sites
il y a 3 minutes, dragonlost a dit :

Je vais voir ce que je peut faire !

Pour l'instant on se concentre sur les fonctionnalité de visualisation et de stacking/alignement. On essaye aussi d’accélérer le code avec les quelques connaissances en informatique qu'on a et le commenter.

 

 

Je suis dessus

Ça va être plus long que si c'était toi, mais je veux bien que tu me laisses faire 😁

J'ajoute aussi du code pour la traduction

Share this post


Link to post
Share on other sites
Il y a 6 heures, dolguldur a dit :

Je plussoie, au pire dumper un json ou un yaml pour recuperer les preferences utilisateurs pour la suite.

vouala

c'est fait sur la branche alpha

Je ne sais pas bien si la méthode est propre et tout ça, mais chez moi ça marche.

 

Edit : juste pour les 3 valeurs work/scan/dark

  • Merci / Quelle qualité! 1

Share this post


Link to post
Share on other sites

Bonjour,

 

J’essaie d'installer ALS sur une NAFABox... je rencontre un petit souci...

J'ai fait:

sudo apt update
sudo apt install python3-opencv python3-pip git

ça, ça fonctionne...

Par-contre:

pip3 install astropy numpy tqdm watchdog pyqt5 astroalign

Cela bloquait sur pyqt5... J'ai été obligé de faire un:

sudo apt install python3-pyqt5

puis un:

pip3 install astropy numpy tqdm watchdog astroalign

sans bien sur le pyqt5... et en retour j'ai ce message d'erreur:

    /home/jean-marc/.local/lib/python3.6/site-packages/numpy/distutils/system_info.py:639: UserWarning:
        Lapack (http://www.netlib.org/lapack/) sources not found.
        Directories to search for the sources can be specified in the
        numpy/distutils/site.cfg file (section [lapack_src]) or by setting
        the LAPACK_SRC environment variable.
      self.calc_info()
      NOT AVAILABLE
    
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/tmp/pip-build-y5a_h0zt/scipy/setup.py", line 505, in <module>
        setup_package()
      File "/tmp/pip-build-y5a_h0zt/scipy/setup.py", line 501, in setup_package
        setup(**metadata)
      File "/home/jean-marc/.local/lib/python3.6/site-packages/numpy/distutils/core.py", line 137, in setup
        config = configuration()
      File "/tmp/pip-build-y5a_h0zt/scipy/setup.py", line 403, in configuration
        raise NotFoundError(msg)
    numpy.distutils.system_info.NotFoundError: No lapack/blas resources found.
    
    ----------------------------------------
Command "/usr/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-y5a_h0zt/scipy/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-_9pu2iyq-record/install-record.txt --single-version-externally-managed --compile --user --prefix=" failed with error code 1 in /tmp/pip-build-y5a_h0zt/scipy/

 

Qu'est qui ne va pas ???

Ça s'installe sur une NAFABox ??

 

JM

 

Share this post


Link to post
Share on other sites
Posted (edited)

@pti-jean essaie

 

sudo aptitude install libblas-dev liblapack-dev libblas3 liblapack3

Edited by dolguldur

Share this post


Link to post
Share on other sites
Posted (edited)

oui essaye. tu peux meme commencer seulement par numpy dans un  premier temps. Bon après moi je ne suis pas utilisateur de nafabox, je ne peux pas te garantir que ça va marcher.

 

Moi perso j'utilise une distribution python qui s'appelle anaconda. c'est clé en main et beaucoup plus propre pour gérer les dépendances que de passer par ta distribution linux. 

Edited by dolguldur

Share this post


Link to post
Share on other sites
Il y a 2 heures, pti-jean a dit :

Bonjour,

 

J’essaie d'installer ALS sur une NAFABox... je rencontre un petit souci...

J'ai fait:


sudo apt update
sudo apt install python3-opencv python3-pip git

ça, ça fonctionne...

Par-contre:


pip3 install astropy numpy tqdm watchdog pyqt5 astroalign

Cela bloquait sur pyqt5... J'ai été obligé de faire un:


sudo apt install python3-pyqt5

puis un:


pip3 install astropy numpy tqdm watchdog astroalign

sans bien sur le pyqt5... et en retour j'ai ce message d'erreur:


    /home/jean-marc/.local/lib/python3.6/site-packages/numpy/distutils/system_info.py:639: UserWarning:
        Lapack (http://www.netlib.org/lapack/) sources not found.
        Directories to search for the sources can be specified in the
        numpy/distutils/site.cfg file (section [lapack_src]) or by setting
        the LAPACK_SRC environment variable.
      self.calc_info()
      NOT AVAILABLE
    
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/tmp/pip-build-y5a_h0zt/scipy/setup.py", line 505, in <module>
        setup_package()
      File "/tmp/pip-build-y5a_h0zt/scipy/setup.py", line 501, in setup_package
        setup(**metadata)
      File "/home/jean-marc/.local/lib/python3.6/site-packages/numpy/distutils/core.py", line 137, in setup
        config = configuration()
      File "/tmp/pip-build-y5a_h0zt/scipy/setup.py", line 403, in configuration
        raise NotFoundError(msg)
    numpy.distutils.system_info.NotFoundError: No lapack/blas resources found.
    
    ----------------------------------------
Command "/usr/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-y5a_h0zt/scipy/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-_9pu2iyq-record/install-record.txt --single-version-externally-managed --compile --user --prefix=" failed with error code 1 in /tmp/pip-build-y5a_h0zt/scipy/

 

Qu'est qui ne va pas ???

Ça s'installe sur une NAFABox ??

 

JM

 

 

 

Hello. Pour l'instant ALS n'est validé que pour l'architecture x86 (ordi classique) et linux du coup pour l'instant pas de Nafabox (pas de windows ou mac). Apres rien n’empêche d'essayer.

 

Pour l'instant je finit le teste les nouveaux modules de la nouvelle version de Nafabox et après je pourrai tester ALS pour la Nafabox.

Share this post


Link to post
Share on other sites
Posted (edited)
il y a 25 minutes, pti-jean a dit :

Salut dolguldur,

 

Et après je relance la commande:


pip3 install astropy numpy tqdm watchdog astroalign

??

 

JM

 

 

 

Apres renseignement rapide pip et arm c'est la loterie, y a des librairie qui passe et d'autre non. En gros les librairie qui sont dispo en source ca marche sinon ca marche pas car pip n'a pas encore de tag pour des version prés compiler pour arm et arm64

 

du coup le plus simple c'est d'essayer de tout installer avec apt puis si y a pas de finir avec pip.

 

Edited by dragonlost

Share this post


Link to post
Share on other sites

Ok... donc j’arrête là pour la NAFABox...

 

N'est en moins j'ai voulu faire le truc suivant...

J'ai un PC sous Linux qui me sert pour la prise en main à distance de ma NAFABox via vnc...

Sur ce PC ALS fonctionne... sauf que je fais un rsync ssh pour aller chercher mes fits sur la NAFABox...

C'était bien jouer et bien pensé... sauf que cela ne fonctionne pas...

Le rsync créait apparemment un fichier temporaire au téléchargement qui s'appelle du style ".Light_002.fits.IH2nbl", et c'est ce fichier qui est détecté par ALS...

Du coup... n'y aurait-il pas moyen de filtrer en aval dans ALS ???

 

JM

 

Share this post


Link to post
Share on other sites
il y a 4 minutes, pti-jean a dit :

Ok... donc j’arrête là pour la NAFABox...

 

N'est en moins j'ai voulu faire le truc suivant...

J'ai un PC sous Linux qui me sert pour la prise en main à distance de ma NAFABox via vnc...

Sur ce PC ALS fonctionne... sauf que je fais un rsync ssh pour aller chercher mes fits sur la NAFABox...

C'était bien jouer et bien pensé... sauf que cela ne fonctionne pas...

Le rsync créait apparemment un fichier temporaire au téléchargement qui s'appelle du style ".Light_002.fits.IH2nbl", et c'est ce fichier qui est détecté par ALS...

Du coup... n'y aurait-il pas moyen de filtrer en aval dans ALS ???

 

JM

 

 

Je vais rajouter le filtrage si y a un "." ou un "~" devant le fichier

Share this post


Link to post
Share on other sites
il y a 3 minutes, dragonlost a dit :

 

Je vais rajouter le filtrage si y a un "." ou un "~" devant le fichier

Tien moi au courant quand tu auras rajouté ce filtre!

 

Si-non j'ai testé ta solution...

Un:

sudo apt install libblas-dev liblapack-dev libblas3 liblapack3

puis un:

pip3 install astropy numpy tqdm watchdog astroalign

Cette dernière commande me renvoie toujours un message d'erreur:

    customize G95FCompiler
    Could not locate executable g95
    customize PathScaleFCompiler
    Could not locate executable pathf95
    customize NAGFORCompiler
    Could not locate executable nagfor
    don't know how to compile Fortran code on platform 'posix'
    C compiler: arm-linux-gnueabihf-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -g -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC
    
    compile options: '-I/usr/include/python3.6m -c'
    arm-linux-gnueabihf-gcc: _configtest.c
    arm-linux-gnueabihf-gcc -pthread _configtest.o -o _configtest
    success!
    removing: _configtest.c _configtest.o _configtest.o.d _configtest
    building data_files sources
    build_src: building npy-pkg config files
    running build_py
    copying scipy/version.py -> build/lib.linux-armv7l-3.6/scipy
    copying build/src.linux-armv7l-3.6/scipy/__config__.py -> build/lib.linux-armv7l-3.6/scipy
    running build_clib
    customize UnixCCompiler
    customize UnixCCompiler using build_clib
    building 'dfftpack' library
    error: library dfftpack has Fortran sources but no Fortran compiler found
    
    ----------------------------------------
Command "/usr/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-8pbl035q/scipy/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-jpxgu78j-record/install-record.txt --single-version-externally-managed --compile --user --prefix=" failed with error code 1 in /tmp/pip-build-8pbl035q/scipy/

 

Une autre idée ??

 

JM

 

Share this post


Link to post
Share on other sites

Je viens de faire un:

sudo apt install gfortran

et relancé la commande:

pip3 install astropy numpy tqdm watchdog astroalign

Là, ça mouline... c'est peut-être bon signe !?

 

JM

 

Share this post


Link to post
Share on other sites
Posted (edited)

Alors j'ai une procédure qui a l'air de marcher :

 

sudo apt install python3 python3-dev python3-pip git gfortran libopenblas-dev liblapack-dev python3-pyqt5

 

Puis

 

Pip3 install wheel

 

Puis

Pip3 install ....

 

La dernière commande met une plombe (surtout scipy astropy numpy et pandas)

Edited by dragonlost

Share this post


Link to post
Share on other sites

  • Recently Browsing   0 members

    No registered users viewing this page.